<?php

namespace loyalsoft;

/**
 * Description of UserShopInfoModel
 * 商城相关数据
 * @author Administrator
 */
class Info_UserShop extends Object_ext {
    //put your code here

    /**
     * 已购每日礼包集合
     * @var []
     */
    public $purchasedDailyLimitPackages = array();

    /**
     * 已购每周礼包集合
     * @var []
     */
    public $purchasedWeeklyLimitPackages = array();

    /**
     * 已购每月礼包集合
     * @var []
     */
    public $purchasedMonthlyLimitPackages = array();

    /**
     * @var int 普通月卡购买时间戳
     */
    public $monthlyVIP1_ts = 0;

    /**
     * @var int 至尊月卡购买时间戳
     */
    public $monthlyVIP2_ts = 0;
    
    /**
     * 每日特惠礼包领取记录
     * @var type
     */
    public $daliySpecialPackages = array();

    /**
     * 重置每日特惠时间
     * @var type
     */
    public $daliySpecialClear_ts = 0;
    
    /**
     * 每日特惠卡周卡开始时间
     * @var type
     */
    public $daliySpecial_ts = 0;
    
    /*
     * 充值返利奖品记录
     */
    public $rechargeRebateRewardsList = array();
    
    /*
     * 限时活动--礼包领取记录
     */
    public $limitTsRewardsList = array();
       
}
